Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008557opensim[REGION] Specific OpenSim Modulepublic2019-07-05 13:082019-08-18 03:32
Reporteraiaustin 
Assigned Toaiaustin 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0008557: Mesh does not render on Warp3D Tiles after update to Windows 1903
DescriptionAnother issue now spotted after update from Windows 1809 to Windows 1903...

The mesh parts that should be on Warp3D map tiles are not showing after the update for all regions where they should, and where they did up to Windows 1809

OpenSim.ini [Map] section... RenderMeshes = true

TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 6.0.2
Attached Files? file icon zlib.net.dll [^] (73,696 bytes) 2019-07-07 15:37

- Relationships
related to 0008549resolvedaiaustin [LAND MANAGEMENT MODULE] does not work anymore after Windows 1903 update 

-  Notes
(0035451)
aiaustin (developer)
2019-07-06 02:24

I note that we had some issues with mesh handling in Warp3D some time ago that were fixed by changing to a signed version of zlib.net.dll which is used by libomv for OpenSim. I am wondering if it could be that one of the .dll we use in warp3D has a security/signing issue that could be showing after the update from Windows 1809 to 1903. Security changes are one likely source of the problems.

http://opensimulator.org/mantis/view.php?id=6984 [^]
(0035455)
Ferd Frederix (reporter)
2019-07-07 15:37

Austin, I uploaded a signed zlib.net.dll. Or get it from https://www.dropbox.com/s/hns34nbctipav0f/zlib.net.dll?dl=0 [^]
(0035456)
aiaustin (developer)
2019-07-08 01:27

Many thanks for the signed zlib.net.dll Fred.

I tried it in the Windows 10 Pro version 1903 environment but still no mesh items show on any Warp3D generated map tile with RenderMeshes = true.

Worth a try though. Thanks.
(0035483)
aiaustin (developer)
2019-07-13 01:32

See mantis 8549 for temporary workaround on .net4.8
(0035592)
aiaustin (developer)
2019-08-18 03:32

Master dev code already includes changes to fix this issue without needing .config file changes.

- Issue History
Date Modified Username Field Change
2019-07-05 13:08 aiaustin New Issue
2019-07-06 02:24 aiaustin Note Added: 0035451
2019-07-07 15:37 Ferd Frederix File Added: zlib.net.dll
2019-07-07 15:37 Ferd Frederix Note Added: 0035455
2019-07-08 01:27 aiaustin Note Added: 0035456
2019-07-12 10:19 aiaustin Relationship added related to 0008549
2019-07-13 01:32 aiaustin Note Added: 0035483
2019-08-18 03:32 aiaustin Note Added: 0035592
2019-08-18 03:32 aiaustin Status new => resolved
2019-08-18 03:32 aiaustin Fixed in Version => master (dev code)
2019-08-18 03:32 aiaustin Resolution open => fixed
2019-08-18 03:32 aiaustin Assigned To => aiaustin


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker